package com.bonus.mq.rabbit.mqtt;

import java.util.Collections;
import java.util.List;

public class User {
   private final String username;
   private final String password;
   private final List<String> tags;

   public User(String username, String password) {
      this(username, password, Collections.emptyList());
   }

   public User(String username, String password, List<String> tags) {
      this.username = username;
      this.password = password;
      this.tags = tags;
   }

   public String getUsername() {
      return this.username;
   }

   public String getPassword() {
      return this.password;
   }

   public List<String> getTags() {
      return this.tags;
   }

}
